{pkgs, ...}: {
  programs.firefox = {
    enable = true;
    profiles.default = {
      search.default = "DuckDuckGo";
      search.force = true;
      extensions = with pkgs.nur.repos.rycee.firefox-addons; [
        bitwarden
        refined-github
        ublock-origin
      ];
      settings = {
        "app.update.auto" = false;
        "browser.formfill.enable" = false;
        "browser.tabs.firefox-view" = false;
        "browser.aboutConfig.showWarning" = false;
        "browser.bookmarks.addedImportButton" = false;
        "extensions.pocket.enabled" = false;
        "browser.newtabpage.activity-stream.feeds.section.topstories" = false;
        "browser.newtabpage.activity-stream.showSponsoredTopSites" = false;
        "browser.newtabpage.pinned" = builtins.toJSON [
          {url = "https://mynixos.com/";}
          {url = "https://github.com/";}
          {url = "https://git.jojodev.com/";}
        ];
      };
      bookmarks = [
        {
          name = "Gitea";
          toolbar = true;
          bookmarks = [
            {
              name = "gitea";
              tags = ["gitea"];
              keyword = "gitea";
              url = "https://github.com/go-gitea/gitea";
            }
            {
              name = "jojodev";
              tags = ["gitea"];
              keyword = "jojodev";
              url = "https://git.jojodev.com";
            }
          ];
        }
      ];
    };
  };
}
